Bug 852521 - Example CLI to deploy application has a bad value for "baseDirName"
Example CLI to deploy application has a bad value for "baseDirName"
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Documentation (Show other bugs)
JON 3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-28 15:28 EDT by dsteigne
Modified: 2013-02-28 19:33 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-28 19:33:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dsteigne 2012-08-28 15:28:23 EDT
Description of problem:
In the example: http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/3.1/html/Dev_Writing_JON_Command-Line_Scripts/example_deploy_reboot.html#jbas-deploy-create

It shows rhqadmin@localhost:7080$ var baseDirName = "/opt/jboss-eap-6.0.0"

this is incorrect, if you run with an actual path like this you will receive an error on the agent 
2012-08-24 19:09:24,591 ERROR [BundleDeployment-1] (rhq.core.pc.bundle.BundleManager)- Failed to complete bundle deployment
java.lang.IllegalArgumentException: The resource type doesn't support bundle destination base location named [/opt/jboss-eap-6.0.0]
	at org.rhq.core.pc.bundle.BundleManager.getAbsoluteDestinationDir(BundleManager.java:494)
	at org.rhq.core.pc.bundle.BundleManager.access$200(BundleManager.java:85)
	at org.rhq.core.pc.bundle.BundleManager$1.run(BundleManager.java:194)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)

The only valid values for that variable are literally "Profile Directory" or "Install Directory"

Please correct the example in the doc to read

rhqadmin@localhost:7080$ var baseDirName = "Install Directory"

Version-Release number of selected component (if applicable):
3.1
Comment 1 Deon Ballard 2013-02-28 19:33:57 EST
Mass closure.

Note You need to log in before you can comment on or make changes to this bug.